Bug 396751 (CVE-2007-6694) - CVE-2007-6694 /proc/cpuinfo DoS on some ppc machines
Summary: CVE-2007-6694 /proc/cpuinfo DoS on some ppc machines
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2007-6694
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 396771 396781 396791 396801 396811 396821 396831
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-23 13:46 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-29 22:03:56 UTC


Attachments (Terms of Use)
Patch from the reporter. (1.32 KB, patch)
2007-11-23 13:49 UTC, Jan Lieskovsky
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0055 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2008-01-31 18:35:49 UTC
Red Hat Product Errata RHSA-2008:0154 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2008-03-05 13:58:42 UTC

Description Jan Lieskovsky 2007-11-23 13:46:00 UTC
Description of problem:

This patch does fix possible NULL pointer dereference
inside of strncmp() if of_get_property() failed. 

This issue went public via: 

http://groups.google.com/group/linux.kernel/browse_thread/thread/d3573f2b305c1e6e?hl=en#d13e0770eadc48c5

Comment 1 Jan Lieskovsky 2007-11-23 13:46:48 UTC
This one has not CVE number assigned yet, will update this one as soon as
this gets one. 

Comment 2 Jan Lieskovsky 2007-11-23 13:49:34 UTC
Created attachment 267541 [details]
Patch from the reporter.

Attaching patch from the reporter.


Note You need to log in before you can comment on or make changes to this bug.